<div class="wrap about-wrap full-width-layout">
    <div class="welcome-header">
        <h1><?php esc_html_e('The Wowmall Project', 'wowmall'); ?></h1>
        <div class="about-description">
            <em><?php esc_html_e('Why are we talking about a project and not about a product?', 'wowmall'); ?></em>
            <br />
            <br />
            <?php esc_html_e('Our goal is to create a development environment that allows users to create an eCommerce store without having to rely on third-party tools.', 'wowmall'); ?>
            <br />
            <br />
            <?php esc_html_e('Even though most times we use plugins to achieve certain functionalities on our sites, Wowmall’s end goal is to provide you with everything you need to build your online store without any third-party tools.', 'wowmall'); ?>
            <br />
            <br />
            <?php esc_html_e('Wowmall is and will always be an evolving project that receives constant updates and improvements. We are committed to providing you with all the necessary functionalities so that the creation of your own eCommerce store is only a few clicks away.', 'wowmall'); ?>
        </div>
    </div>
    <hr />
    <div class="feature-section">
        <h3><?php esc_html_e('The state of the art', 'wowmall'); ?></h3>
        <p>
            <?php esc_html_e('One of the biggest advantages of WordPress is the possibility of accessing specific functions designed by third parties through the plugin directory.', 'wowmall'); ?>
        </p>
        <p>
            <?php esc_html_e('However, you need to understand each plugin and configure it to make it compatible with your theme. This process can be quite long and painful and most times you only end up with a successful integration through custom development.', 'wowmall'); ?>
        </p>
    </div>
    <div class="feature-section">
        <h3><?php esc_html_e('Challenge accepted', 'wowmall'); ?></h3>
        <p>
            <?php esc_html_e('With Wowmall, our mission is to provide you with all the necessary features and functionalities to set up an eCommerce store in a few clicks.', 'wowmall'); ?>
        </p>
        <p>
            <?php esc_html_e('Our users are our number one priority and we’re committed to developing all the necessary tools to help them build better stores easier and faster.', 'wowmall'); ?>
        </p>
    </div>
    <div class="feature-section">
        <h3><?php esc_html_e('An evolving project', 'wowmall'); ?></h3>
        <p>
            <?php esc_html_e('This first version of the theme has been developed using the original WordPress blocks to explore the current possibilities and ensure good compatibility throughout the evolution of the new full site editor that is still in experimental stages.', 'wowmall'); ?>
        </p>
        <p>
            <?php esc_html_e('As a result, this initial version of Wowmall covers the fundamentals functionalities. Over time, we will release updates and new features that will incorporate blocks for every type of site and eCommerce.', 'wowmall'); ?>
        </p>
        <p>
            <?php printf(__('Do you want to join the ride? <a target="_blank" href="%s">Click here</a> to know more.', 'wowmall'), WOWMALL_THEME_URL_BETA); ?>
        </p>
    </div>
    <div class="welcome-panel">
        <div class="welcome-panel-content">
            <h3><?php esc_html_e('Where do i get support?', 'wowmall'); ?></h3>
            <?php esc_html_e('If you have any doubt or you find any issue don\'t hesitate to contact us through our ticket system or join our community to meet othes users.', 'wowmall'); ?>
            <br />
            <a target="_blank" class="button button-primary button-hero" href="<?php echo WOWMALL_THEME_URL_SUPPORT; ?>"><?php esc_html_e('Get Support', 'wowmall'); ?></a>
            <a target="_blank" class="button button-secondary button-hero" href="<?php echo WOWMALL_THEME_URL_GROUP; ?>"><?php esc_html_e('Join Comunity', 'wowmall'); ?></a>
            <br />
            <br />
        </div>
    </div>
</div>